Subject: bug#74981: 29.4; X11 crash when minibuffer text scale is increased greatly

From: Eli Zaretskii <[email-masked]>
Date: Wed, 29 Jan 2025 14:46:53 +0200

> From: Joseph Turner <[email-masked]>
> Cc: [email-masked],  [email-masked],  [email-masked]
> Date: Wed, 29 Jan 2025 00:04:19 -0800
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >> From: Joseph Turner <[email-masked]>
> >> Cc: [email-masked],  [email-masked],  [email-masked]
> >> Date: Sun, 12 Jan 2025 23:34:50 -0800
> >>
> >> Eli Zaretskii <[email-masked]> writes:
> >>
> >> > One other idea is to change the font you use for the default face,
> >> > maybe it's the font which causes the problem.  Cairo could also be the
> >> > culprit, so using a different version of Cairo or a non-Cairo build
> >> > might solve the problem.
> >>
> >> If someone gives me some steps to follow to dig into the bug, I'm happy
> >> to be the guinea pig.
> >
> > To change the default font, invoke Emacs as follows:
> >
> >   $ emacs -Q -fn "name of the font here"
> 
> I downloaded https://typeof.net/Iosevka/ and was able to reproduce the
> issue even using the Iosevka font.
> 
> > Do you also need more detailed instructions regarding a different
> > version of Cairo or building Emacs without Cairo?
> 
> I compiled Emacs from b1e5f6d6ef8 by running "make", and the bug still
> happens, so it appears to not be an issue with Cairo.
> 
> I also tested on my desktop, but I can only reproduce this on my X200
> Thinkpad, which has a relatively small display.  Maybe that's relevant.

Maybe.  Unfortunately, I don't know how to debug crashes in X11.  If
someone else does, please speak up.